#
# spec file for package digikamimageplugins (Version 0.8.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils digikam e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel giflib glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal imlib2 imlib2-devel imlib2-loaders info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libexif libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libgphoto2 libgphoto2-devel libidn libidn-devel libjpeg libjpeg-devel libkexif libkipi libkipi-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig pm-utils pmtools popt post-build-checks procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel sqlite sqlite-devel sqlite2 sqlite2-devel strace sudo sysvinit tar tcpd texinfo timezone udev unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           digikamimageplugins
BuildRequires:  digikam imlib2-devel kdelibs3-devel libkipi-devel sqlite-devel sqlite2-devel
%if %suse_version < 1010
BuildRequires:  libtiff-devel
%endif
%if %suse_version > 1010
BuildRequires:  libgphoto2-devel
%endif
License:        GPL v2 or later
Group:          Productivity/Graphics/Bitmap Editors
Summary:        Image Manipulation Plug-Ins
Version:        0.8.2
Release:        37
%define rversion %version
Url:            http://extragear.kde.org/apps/digikamimageplugins/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%rversion.tar.bz2
Source1:        digikamrc
Source2:        superimposetemplates-0.1.1.tar.bz2
Patch:          fixme.diff

%description
Various plug-ins for the image editor in Digikam:

* AdjustLevels	: A plug-in adjusting the image histogram levels
   manually.

* SolarizeImage : A plug-in for solarizing an image.

* Despeckle	: A noise reduction filter.

* OilPaint	: An oil painting effect filter.

* Emboss	: An embossed image effect filter.

* Charcoal	: A charcoal drawing image effect filter.

* Unsharp	: An unsharped mask image filter.

* RainDrop	: Adding raindrops randomly in an image.

* FilmGrain	: Adding film grain in an image.



Authors:
--------
    Gilles Caulier <caulier dot gilles at free.fr>
    Renchi Raju <renchi at pooh.tam.uiuc.edu>

%debug_package
%prep 
%setup -q -n %name-%rversion
%patch
  . /etc/opt/kde3/common_options
  update_admin --no-unsermake

%build
  . /etc/opt/kde3/common_options
  export PKG_CONFIG_PATH=/opt/kde3/%_lib/pkgconfig
  ./configure $configkde
  make %{?jobs:-j%jobs}

%install
  . /etc/opt/kde3/common_options
  make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
  #
  # install superimpose templates
  mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/digikamimageplugins/superimpose/
  tar xfj %SOURCE2 -C $RPM_BUILD_ROOT/opt/kde3/share/apps/digikamimageplugins/superimpose/
  mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/config/
  install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/opt/kde3/share/config/
  #
  # clean up
  rm -rf $RPM_BUILD_ROOT/opt/kde3/share/locale/xx
  kde_post_install

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS
%dir /opt/kde3/share/icons/hicolor/32x32/actions
/opt/kde3/%_lib/kde3/*.la
/opt/kde3/%_lib/kde3/*.so
/opt/kde3/share/apps/digikamimageplugins
/opt/kde3/share/apps/digikam/digikamimageplugin_*
/opt/kde3/share/apps/digikam/icons/*/*/*/*
/opt/kde3/share/config/digikamrc
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/locale/*/LC_MESSAGES/*.mo
/opt/kde3/share/services/*.desktop

%changelog
* Mon Oct 23 2006 - meissner@suse.de
- buildrequires: libgphoto2-devel
* Tue Sep 12 2006 - stbinner@suse.de
- fix "integer operation result is out of range" (#204914)
* Wed Jul 19 2006 - dmueller@suse.de
- Update to version 0.8.2:
  * lots of crash fixes and mem leak fixes
  * White Balance plugin : Fixed Gamma correction slider values inversed
  * Infrared plugins: fix unecessary bluring effects
* Tue May 30 2006 - adrian@suse.de
- fix build for < 10.1
* Wed Feb 15 2006 - stbinner@suse.de
- update to version 0.8.1
  * add new iconset
  * fixed several memory leaks
  * don't render preview effect if final rendering is still in progress
  * whitebalance: fix wrong memory access, fix color gradient color
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - stbinner@suse.de
- update to version 0.8
* Sat Nov 12 2005 - dmueller@suse.de
- fix filelist
* Tue Sep 27 2005 - ro@suse.de
- added libkipi-devel to nfb
* Fri Aug 19 2005 - adrian@suse.de
- update to version 0.7.4
  * translation updates
* Sat Jul 23 2005 - dmueller@suse.de
- 0.7.3 final update
* Mon May 23 2005 - adrian@suse.de
- update to version 0.7.3 beta 2
- add superimpose templates version 0.1.1
- pre configure si template path via global digikamrc
* Thu Mar 03 2005 - adrian@suse.de
- update to version 0.7.2 final
* Wed Feb 09 2005 - adrian@suse.de
- update to version 0.7.2beta1
* Tue Jan 04 2005 - adrian@suse.de
- update to version 0.7.1
- disable adjustcurves for now (doesn't compile)
* Mon Nov 29 2004 - adrian@suse.de
- use sqlite2 compat packages
* Thu Nov 11 2004 - adrian@suse.de
- initial package of version 0.7.0
